local mod = RW:Boss("Gehennas", "Classic" , "Molten Core")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_ragnaros]]

---------------------------
-- Variables

-- Rain of Fire
local wRain

-- Curse
local wCurse, tCurseCD, mCurse

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(12259)
	self:SetWin(12259)
	
	-- Curse
	wCurse		= self:OnYouWarning(19716)
	mCurse		= self:TargetMessage(19716)
	tCurseCD	= self:CDTimer(30, 19716)
	
	-- Raid
	wRain		= self:OnYouWarning(19717)
end

---------------------------
-- Locals

-- API Functions

function mod:OnEngage(trigger)
	self:Track("Curse", 19716)
	self:Track("Rain", 19717)
end

function mod:Curse(event, args)
	if event == "SPELL_AURA_APPLIED" then
		if args:IsPlayer() then
			wCurse:Show()
		end
		mCurse:Show(args.dName)
		tCurseCD:Start()
	end
end

function mod:Rain(event, args)
	if event == "SPELL_AURA_APPLIED" then
		wRain:Show()
	end
end
